#include "dbaudiofile.hpp"

Dbaudiofile::Dbaudiofile() : artist(""), album(""), title(""),
			     year(0), bitrate(0), length(0), rating(0), track(0), fetched(false)
{}

Dbaudiofile::Dbaudiofile(const Simplefile& s) : Simplefile(s), artist(""), album(""), title(""),
						year(0), bitrate(0), length(0), rating(0), track(0), fetched(false)
						
{}

void Dbaudiofile::set(const Simplefile& s)
{
  id = s.id;
  name = s.name;
  lowercase_name = s.lowercase_name;
  path = s.path;
  type = s.type;
}
